Imagick::getImageProfiles
Imagick::getImageProperty
Imagick
PHP Manual

# Imagick::getImageProperties

(PECL imagick 2.0.0)

Imagick::getImageProperties — Returns the image properties

### Description

array Imagick::getImageProperties ([ string `$pattern` = "*" [, bool `$only_names` = true ]] )

Returns all associated properties that match the pattern. If `TRUE` is passed as second parameter only the property names are returned. This method is available if Imagick has been compiled against ImageMagick version 6.3.6 or newer.

### Parameters

`pattern`

  The pattern for property names.

`only_names`

  Whether to return only property names. If `FALSE` then also the values are returned

### Return Values

Returns an array containing the image properties or property names.

### Examples

Example #1 Using Imagick::getImageProperties():

An example of extracting EXIF information.

`<?php
/* Create the object */
$im = new imagick("/path/to/example.jpg");
/* Get the EXIF information */
$exifArray = $im->getImageProperties("exif:*");
/* Loop trough the EXIF properties */
foreach ($exifArray as $name => $property)
{
echo "{$name} => {$property}<br />\n";
}
?>`

Imagick::getImageProfiles
Imagick::getImageProperty
Imagick
PHP Manual